Loading...
Searching...
No Matches
Opm::MessageLimits Class Reference

## Public Member Functions

| MessageLimits (const Deck &deck)
int | getMessagePrintLimit () const
| Get all the value from MESSAGES keyword.
int | getCommentPrintLimit () const
int | getWarningPrintLimit () const
int | getProblemPrintLimit () const
int | getErrorPrintLimit () const
int | getBugPrintLimit () const
void | setMessagePrintLimit (int value)
void | setCommentPrintLimit (int value)
void | setWarningPrintLimit (int value)
void | setProblemPrintLimit (int value)
void | setErrorPrintLimit (int value)
void | setBugPrintLimit (int value)
int | getMessageStopLimit () const
int | getCommentStopLimit () const
int | getWarningStopLimit () const
int | getProblemStopLimit () const
int | getErrorStopLimit () const
int | getBugStopLimit () const
void | setMessageStopLimit (int value)
void | setCommentStopLimit (int value)
void | setWarningStopLimit (int value)
void | setProblemStopLimit (int value)
void | setErrorStopLimit (int value)
void | setBugStopLimit (int value)
bool | operator== (const MessageLimits &data) const
void | update (const DeckKeyword &keyword)
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static MessageLimits | serializationTestObject ()

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/MessageLimits.hpp
- opm/input/eclipse/Schedule/MessageLimits.cpp